import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineStatusSchema } from '../enums/ServiceLineStatus.schema'

const nestedenumservicelinestatusfilterSchema = z.object({
  equals: ServiceLineStatusSchema.optional(),
  in: ServiceLineStatusSchema.array().optional(),
  notIn: ServiceLineStatusSchema.array().optional(),
  not: z.union([ServiceLineStatusSchema, z.lazy(() => NestedEnumServiceLineStatusFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumServiceLineStatusFilterObjectSchema: z.ZodType<Prisma.NestedEnumServiceLineStatusFilter> = nestedenumservicelinestatusfilterSchema as unknown as z.ZodType<Prisma.NestedEnumServiceLineStatusFilter>;
export const NestedEnumServiceLineStatusFilterObjectZodSchema = nestedenumservicelinestatusfilterSchema;
